select_palette(3)

NAME
select_palette

SYNOPSIS
#include <allegro.h>

void select_palette(const PALETTE p);

DESCRIPTION
Ugly hack for use in various dodgy situations where you need to convert between paletted and truecolor image formats. Sets the internal palette table in the same way as the set_palette() function, so the conversion will use the specified palette, but without affecting the display hardware in any way. The previous palette settings are stored in an internal buffer, and can be restored by calling unselect_palette().

SEE ALSO
set_palette(3), unselect_palette(3), exlights(3)